# ICCM Under two months Details

| **API URL**     | {{url}}/spice-service/medical-review/iccm-under-2months/details |
| --------------- | --------------------------------------------------------------- |
| **Method**      | POST                                                            |
| **Description** | Details of iccm-under-2months in medical review                 |

#### **Input:** <a href="#iccmunder2monthsdetails-v2-input" id="iccmunder2monthsdetails-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| patientId              | BigInt   | Yes           | Patient id                                                                                                                              |
| patientReference       | Bigint   | Yes           | Patient reference id                                                                                                                    |
| encounterId            | Bigint   | Yes           | Encounter ID of medical review                                                                                                          |
| assessmentName         | String   | No            | Assessment Name of medical review                                                                                                       |
| type                   | String   | Yes           | Medical review type                                                                                                                     |
| latestRequired         | Boolean  | Yes           | Latest Required                                                                                                                         |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#iccmunder2monthsdetails-v2-sampleinput" id="iccmunder2monthsdetails-v2-sampleinput"></a>

{\
"patientId": null,\
"patientReference": "7861,\
"encounterId": "2",\
"assessmentName": null,\
"type": null,\
"childId": null,\
"motherId": null,\
"encounterReference": null,\
"diagnosisType": null,\
"patientVisitId": null,\
"latestRequired": false\
}

#### **Output:** <a href="#iccmunder2monthsdetails-v2-output" id="iccmunder2monthsdetails-v2-output"></a>

| **Field Name**          | **Type** | **Example**                                |
| ----------------------- | -------- | ------------------------------------------ |
| message                 | String   | MedicalReview Details fetched successfully |
| entity                  | String   | Result entity of request                   |
| clinicalNotes           | String   | Clinical Notes for the patient             |
| diagnosis               | String   | Diagnosis details of the patient           |
| examination             | String   | Examination details                        |
| examinationDisplayNames | String   | Examination DisplayNames                   |
| summaryStatus           | String   | Summary Status                             |
| value                   | String   | Value of Summary Status                    |
| name                    | String   | Name of Summary Status                     |
| status                  | Boolean  | Status of the request entity               |

#### **Sample Output:** <a href="#iccmunder2monthsdetails-v2-sampleoutput" id="iccmunder2monthsdetails-v2-sampleoutput"></a>

```
{
  "message": "MedicalReview Details fetched successfully.",
  "entity": {
    "clinicalNotes": "Health",
    "presentingComplaints": null,
    "systemicExamination": null,
    "systemicExaminationNotes": null,
    "diagnosis": [],
    "examination": {},
    "examinationDisplayNames": {
      "verySevereDisease": "Very Severe Disease (PSBI)",
      "breastfeedingProblem": "Feeding Problem (For all Breastfeeding)",
      "diarrhoea": "Diarrhoea",
      "jaundice": "Jaundice",
      "hivInfection": "Check for HIV Infection",
      "nonBreastfeedingProblem": "Feeding Problem (For all Non-Breastfeeding)"
    },
    "patientStatus": null,
    "prescriptions": [],
    "summaryStatus": [
      {
        "value": "OnTreatment",
        "name": "On Treatment"
      },
      {
        "value": "Recovered",
        "name": "Recovered"
      }
    ],
    "investigations": []
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/iccm-under-two-months-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
